Estacionamiento App
Descripción
Estacionamiento App es una aplicación de estacionamiento básica desarrollada en Java y JavaFX. Permite agregar y despachar automóviles en un estacionamiento, mostrando la disponibilidad de espacios y calculando las tarifas correspondientes.

Requisitos del sistema
Java Development Kit (JDK) 20 o superior instalado en el sistema y la librería JavaFX con una versión compatible.
Visual Studio Code (VS Code) u otro IDE compatible.

Abre el archivo "Main.java" ubicado en la carpeta "src/app".
Haz clic derecho en el editor y selecciona la opción "Run" o presiona la tecla de acceso directo "Ctrl + F5".
La aplicación se iniciará y se mostrará la interfaz gráfica del estacionamiento.
Uso de la aplicación
Una vez que la aplicación se esté ejecutando, puedes realizar las siguientes acciones:

Agregar automóvil:
Ingresa la patente del automóvil en el campo de texto "Patente".
Selecciona el tipo de automóvil en la lista desplegable "Tipo".
Haz clic en el botón "Agregar automóvil".
El automóvil se agregará al estacionamiento y se mostrará en la lista visual.
Despachar automóvil:
Haz clic en el botón "Despachar" junto al automóvil que deseas despachar.
El automóvil se eliminará del estacionamiento y se calculará la tarifa correspondiente.
Mejoras y personalización
El proyecto Estacionamiento App proporciona una base sólida para un sistema de estacionamiento. A continuación, se presentan algunas áreas en las que puedes realizar mejoras o personalizaciones:

Valida y gestiona mejor las rutas de los archivos de configuración.
Agrega validaciones adicionales a los campos de entrada para garantizar datos válidos.
Separa la lógica de interfaz gráfica del controlador utilizando el patrón Modelo-Vista-Controlador (MVC).
Mejora la interfaz gráfica agregando más elementos visuales y mejorando la experiencia del usuario.
Personaliza los estilos de la aplicación modificando el archivo "style.css".
Implementa una gestión más robusta de eventos y mensajes para proporcionar una mejor retroalimentación al usuario.