package app;

import javafx.application.Application;
// import javafx.fxml.FXMLLoader;
// import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {

    @Override
    public void start(Stage primaryStage) throws Exception{
        Controller controller = new Controller( "/src/app/parameters.txt" );
        controller.SetStyle("app/style.css");
        
        Scene scene = new Scene(controller.main_panel, 600, 300);
        primaryStage.setScene(scene);
        
        primaryStage.setMinWidth( 600 );
        primaryStage.setMinHeight( 300 );

        primaryStage.setTitle("Estacionamiento");
        primaryStage.show();
    }


    public static void main(String[] args) {
        launch(args);
    }
}
